Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 07:42
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Lucid Puppy 5.1 Bug Reports and Fixes
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 13 of 25 Posts_count   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, ..., 23, 24, 25 Next
Author Message
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 19 Aug 2010, 14:02    Post_subject:  

Quote:
When I click on HELP, I get a help page displayed in Netsurf.
When I try to display the help for an application, I use the dropdown selection to choose the application.

It then gets displayed in the dropdown menu as my selection.
But how does one actually see that help page?
I ask this because there is no GO button and clicking on the selection just activates the drop down menu again.


Yes. We were better off with the stripped version of Seamonkey--even though it was over 10MB. Open to suggestions. I put a fix into InstantUpdate-003 that will give some time to figure the permanent solution.

Edited_time_total
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 19 Aug 2010, 15:04    Post_subject:  

Quote:
Having all those missing dependencies means Puppy 5.1 was not ready and we have to use Puppy 5.0


Are you referring to the "missing dependencies" in trying to add xfce to Lucid Puppy 5.1 and having trouble with gnome-mplayer and pmusic?

XFCE is not one of the window managers that is included in Lucid Puppy 5.1, nor is it one of the packages that has been tested and configured for Lucid Puppy that are available in Quickpet, Puppy Package Manager, and Lupu News, so I would think people would expect problems in trying to add such software.

The more current dependencies are present, libx264.so.85 and libfaad.so.2, so in InstantUpdate-003 I have added links to those libraries--that might help--please let us know.

I know 01micko is working on this also, just personally, i do not regard this as a bug but as a development issue more appropriate for the development forum. I mention that because people see something listed as a bug and they think there is a problem with the software as delivered, but as delivered both music players work fine--at least I am sure of gnome-mplayer. By the way, what happens with xfce and smplayer?

Edited_time_total
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 19 Aug 2010, 15:28    Post_subject:  

Instant Update 003 is posted in Lupu News http://www.diddywahdiddy.net/LupuNews/

Here's a quick link -> ftp://distro.ibiblio.org/pub/linux/distributions/puppylinux/puppy-5.1/Updates/UpdateLupu510-003.pet

003 provides libjpeg7, latest index of puppy-lucid repo, enables laptop function keys for volume, brightness, etc., sets Netsurf home page, removes buggy Icewm Xtreme-ReAnimated theme, configures Sylpheed email, fixes USB bootflash, links fsck, adds Dusk IceWM theme, recovers Arabic and Hebrew fonts, fix for Quickpet, workaround for Puppy Help, links to libfaad and libx264 for xfce, browser link to Lupu News
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4379
Location: Southeast Georgia, USA

PostPosted: Thu 19 Aug 2010, 15:39    Post_subject:  

Thanks!

Just grabbed it and will run it on the two, soon to be three, Lucid 5.1 laptops here and report back anything unusual.

EDIT 1: All looks good that I can see, which is a tiny fraction of our listed updates. Laptop Volume works, Brightness appears to work but makes such a tiny change it's hard to be sure -- could be something unique to this Toughbook CF-29.

I will test it on a Z-500 and HP OmniBook a little later.

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9214
Location: Stratford, Ontario

PostPosted: Thu 19 Aug 2010, 15:40    Post_subject:  

playdayz wrote:
Yes. We were better off with the stripped version of Seamonkey.

Agreed. It's a PITA to install printers using Netsurf because the CUPS drop-down menus don't work.
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7840
Location: qld

PostPosted: Thu 19 Aug 2010, 16:05    Post_subject: Re: xfce bug fixed  

don570 wrote:
Regarding pmusic and gnome-mplayer not working with newest xfce

http://puppyfiles.ca/dotpupsde/puppy4/dotpups/WindowManagers/xfce4_de_4_lqw_puppy.pet

I was able to get Pmusic to work at least.
I installed id3lib and ffmpeg

... but I couldn't get gnome-player to work. I did get the following terminal output

Code:
sh-3.00# ldd mplayer
libfaad.so.0 => not found
libx264.so.60 => not found


but I am stumped. VLC Player can be used as a substitute.

_____________________________________________________


don570

I am not experiencing any of your issues with Pmusic in 5.1 running xfce4~ ..I compiled the ffmpeg we are using and it works ok for me, ogg and all.

Hmm, your link is to the newer ffmpeg that supports webm, interesting.

I wonder if anything you installed may have corrupted something for you? I am going to do some more tests soon, and also look further into any id3 issues.

Cheers
run-pmusic-xfce.jpg
Description 
jpg

 Download 
Filename  run-pmusic-xfce.jpg 
Filesize  248.63 KB 
Downloaded  317 Time(s) 

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
simes

Joined: 29 Sep 2007
Posts: 45
Location: Cheshire, UK

PostPosted: Thu 19 Aug 2010, 16:48    Post_subject: Chrome in 5.1 does not start / launch
Sub_title: Chrome in 5.1 does not start / launch
 

Hi, I have installed 5.1 (very nice - great work, everybody) but cannot get Google Chrome to work. I installed it from QuickPet, got the message 'Chromium installation successful', but nothing happens when I click the browser icon or start from the menu. If I open a console and issue the command 'chrome' the response is 'illegal instruction'.

I had no problems with chrome in 5.0.1 but don't want to fall back if I can help it. Any ideas, please?
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Thu 19 Aug 2010, 16:52    Post_subject:  

01micko remarks
Quote:

I am not experiencing any of your issues with Pmusic in 5.1 running xfce4~ ..I compiled the ffmpeg we are using and it works ok for me, ogg and all.


I am running shinobar's version of Lucid Puppy 5.1 and not bothering to set
the time,keyboard etc. in a frugal install. xfce sets the keyboard layout to German.
Maybe the fact that nothing is set has something to do with the problem. I will set everything properly and try again and report back.
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7840
Location: qld

PostPosted: Thu 19 Aug 2010, 17:04    Post_subject: Re: Chrome in 5.1 does not start / launch
Sub_title: Chrome in 5.1 does not start / launch
 

simes wrote:
Hi, I have installed 5.1 (very nice - great work, everybody) but cannot get Google Chrome to work. I installed it from QuickPet, got the message 'Chromium installation successful', but nothing happens when I click the browser icon or start from the menu. If I open a console and issue the command 'chrome' the response is 'illegal instruction'.

I had no problems with chrome in 5.0.1 but don't want to fall back if I can help it. Any ideas, please?


Ah yes, the older Athlon/ P2 issue with Google Chrome.. I'm afraid it won't run on older processors, the alternative is to use SRWare Iron browser , they have a version for P2 which you need if you run an Athlon or Duron processor, or even an old Tbird (great chip at the time IMO Wink )

________________________________

don570

I am making great progress with a special XFCE package compiled by Dejan555, with his help we are sorting out menu/icon issues and have tray icons running. There are some issues that will go on unresolved but what I hope to come up with is a beta package for xfce4 by Sunday, It will need plenty of testing in a clean install, including updates and latest Pmusic .

Note Please report bugs with shinobar's version in the appropriate thread, he compiles ffmpeg himself and is probably different to the official version.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
simes

Joined: 29 Sep 2007
Posts: 45
Location: Cheshire, UK

PostPosted: Thu 19 Aug 2010, 17:18    Post_subject: Re: Chrome in 5.1 does not start / launch
Sub_title: Chrome in 5.1 does not start / launch
 

01micko wrote:
simes wrote:
Hi, I have installed 5.1 (very nice - great work, everybody) but cannot get Google Chrome to work. I installed it from QuickPet, got the message 'Chromium installation successful', but nothing happens when I click the browser icon or start from the menu. If I open a console and issue the command 'chrome' the response is 'illegal instruction'.

I had no problems with chrome in 5.0.1 but don't want to fall back if I can help it. Any ideas, please?


Ah yes, the older Athlon/ P2 issue with Google Chrome.. I'm afraid it won't run on older processors, the alternative is to use SRWare Iron browser , they have a version for P2 which you need if you run an Athlon or Duron processor, or even an old Tbird (great chip at the time IMO Wink )


Thanks for the reply 01micko. I do have an oldish Athlon processor but it ran Chrome OK on Puppy 5.0.1. Has something changed in 5.1 which means older processors no longer run Chrome? (And if so, is the issue really with Chrome? Very Happy )
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7840
Location: qld

PostPosted: Thu 19 Aug 2010, 17:20    Post_subject:  

All bug reporters take note

Please only report bugs about the official lucid puppy 5.1in this thread.

There was a misleading statement made:
Quote:
Having all those missing dependencies means Puppy 5.1 was not ready and we have to use Puppy 5.0 instead. I couldn't find this anywhere in the forum and apologize if the problem has already been mentioned.

This is not referring to the official 5.1.

There are a few puplets loosely based on 5.1 floating around

Report bugs in those versions in the appropriate threads.

Thank you.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7840
Location: qld

PostPosted: Thu 19 Aug 2010, 17:26    Post_subject: Re: Chrome in 5.1 does not start / launch
Sub_title: Chrome in 5.1 does not start / launch
 

simes wrote:

Thanks for the reply 01micko. I do have an oldish Athlon processor but it ran Chrome OK on Puppy 5.0.1. Has something changed in 5.1 which means older processors no longer run Chrome? (And if so, is the issue really with Chrome? Very Happy )


Yes, chrome was version 5 in Puppy 5, it is now version 6 in 5.1. You could get the old 5 version from ibiblio and try it, no guarantees and it is not officially supported. If it fails, do some googling around or dependency checking. I will ask playdayz to make a prominent note about the P2/old Athlon issue with the newer chrome versions.

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/Lucid_Puppy/Chromium-5.0.342-Lucid.pet

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 19 Aug 2010, 18:23    Post_subject:  

Quote:
Yes, chrome was version 5 in Puppy 5,


To my surprise, Chrome 5 is running for me in LP 5.1

Wait. It crashed if I scrolled too fast.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 19 Aug 2010, 19:14    Post_subject:  

Quote:
Hi, I have installed 5.1 (very nice - great work, everybody) but cannot get Google Chrome to work.


Hi Simes, Here is a pet of Iron. I had forgotten how much I liked it--it seems very snappy. The p2 version is not needed anymore, they say, because this version will run with p3. (That confused me too, but I hope it works.)

http://www.diddywahdiddy.net/Puppy500/Iron-5.0.381-Lucid.pet
Back to top
View user's profile Send_private_message 
Stripe

Joined: 23 Jun 2010
Posts: 658
Location: In a field. England

PostPosted: Thu 19 Aug 2010, 19:26    Post_subject:  

rcrsn51 wrote:
playdayz wrote:
Yes. We were better off with the stripped version of Seamonkey.

Agreed. It's a PITA to install printers using Netsurf because the CUPS drop-down menus don't work.


Would the complete seamonkey 2 browser be too large? as after testing all the browsers on offer this seems the most versatile in relation to working on all hardware. (alright I am still using my old box)

Hope this helps
Stripe
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 13 of 25 Posts_count   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, ..., 23, 24, 25 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1157s ][ Queries: 12 (0.0146s) ][ GZIP on ]